Name:           gringo
Version:        4.5.3
Release:        1%{?dist}
Summary:        Grounding tools for (disjunctive) logic programs

Group:          Applications/Engineering
License:        GPLv3
URL:            http://potassco.sourceforge.net
Source0:        http://downloads.sourceforge.net/potassco/%{name}-%{version}-source.tar.gz
Patch0:         %{name}-4.5.3-unbundle-clasp-clingo.patch

BuildRequires:  bison
BuildRequires:  clasp-static >= 3.1.0
BuildRequires:  cppunit-devel
BuildRequires:  dos2unix
BuildRequires:  lua-devel
BuildRequires:  python2-devel
BuildRequires:  re2c
BuildRequires:  scons

%package devel
Summary:        Static library and headers for %{name}
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name}%{?_isa} == %{version}-%{release}
Requires:       clasp-static >= 3.1.0
Requires:       lua-devel
Requires:       python2-devel

%description
Current answer set solvers work on variable-free programs. Hence, a grounder is
needed that, given an input program with first-order variables, computes an
equivalent ground (variable-free) program. Gringo is such a grounder. Its
output can be processed further with clasp, claspar, or claspfolio.

%description devel
This package contains the static library and headers for %{name} %{version}.

%prep
%setup -qn %{name}-%{version}-source
%patch0 -p1

# Remove bundled clingo and clasp
rm -rf libclasp app/clingo app/luaclingo app/pyclingo examples

%build
scons %{?_smp_mflags} configure WITH_TBB="tbb" WITH_LUA="lua" WITH_CPPUNIT="cppunit" WITH_PYTHON="python2.7" CPPPATH="/usr/include/python2.7/" CXXFLAGS="${CXXFLAGS:-%optflags} -std=c++11 -O0 -W -pedantic -Wno-gnu -D_DEBUG -DDEBUG" --build-dir=debug
scons %{?_smp_mflags} %{name} --build-dir=debug

%install
install -p -m0755 -D build/debug/%{name} %{buildroot}%{_bindir}/%{name}
install -p -m0644 -D build/debug/lib%{name}.a %{buildroot}%{_libdir}/lib%{name}.a
mkdir -p %{buildroot}%{_includedir}
cp -a lib%{name}/%{name} %{buildroot}%{_includedir}/%{name}

%check
scons %{?_smp_mflags} test --build-dir=debug

%files
%doc CHANGES COPYING README
%{_bindir}/%{name}

%files devel
%{_libdir}/lib%{name}.a
%{_includedir}/%{name}

%changelog
* Sun Sep 21 2014 Scott K Logan <logans@cottsay.net> - 4.4.0-1
- Update to 4.4.0
- Remove limits patch
- Remove FSF address workarounds
- Remove line ending workarounds

* Wed Apr 23 2014 Scott K Logan <logans@cottsay.net> - 4.3.0-1
- Initial package
